package domain


type AlibabaWdkItemCategoryUpdateUpdateCategoryRequestBean struct {
    /*
        机构编码     */
    OrgCode  *string `json:"org_code,omitempty" `

    /*
        商品编码     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        forest类目ID     */
    ForestId  *string `json:"forest_id,omitempty" `

    /*
        盒马 后台类目     */
    BackCatCode  *string `json:"back_cat_code,omitempty" `

}

func (s *AlibabaWdkItemCategoryUpdateUpdateCategoryRequestBean) SetOrgCode(v string) *AlibabaWdkItemCategoryUpdateUpdateCategoryRequestBean {
    s.OrgCode = &v
    return s
}
func (s *AlibabaWdkItemCategoryUpdateUpdateCategoryRequestBean) SetSkuCode(v string) *AlibabaWdkItemCategoryUpdateUpdateCategoryRequestBean {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkItemCategoryUpdateUpdateCategoryRequestBean) SetForestId(v string) *AlibabaWdkItemCategoryUpdateUpdateCategoryRequestBean {
    s.ForestId = &v
    return s
}
func (s *AlibabaWdkItemCategoryUpdateUpdateCategoryRequestBean) SetBackCatCode(v string) *AlibabaWdkItemCategoryUpdateUpdateCategoryRequestBean {
    s.BackCatCode = &v
    return s
}
